FilePathFinder Pro

FilePathFinder Pro is a power tool for working with asset files in 3ds Max.
With FilePathFinder Pro you can easy find, collect and work with asset files.
Utility supports XRefs of all types and processes all XRefs scenes linked to current.
Unlike all other such scripts, it really finds all resources (images, HDR-images, Proxy, IES-files, shaders).
FilePathFinder Pro help you quick select objects in your scene or find desired materials and textures and placed they to Material Editor.
Also with this tool you can easy make a archive a 3ds Max scene.

Features

Asset Tracking

  • Search for missing assets
  • Relink external files
  • Collect external files
  • Archiving a 3ds Max scene
  • Ability to exclude files from collecting by type of file
  • Rename the links by mask
  • Removing the maps from scene
  • Ability to collect the Asset files via clipboard and drag&drop method
  • Include the “Batch Render&Relink” tool for organize the Asset files into the 3d Models and Materials Libraries in the batch mode
  • Support to xRef files.
  • Support to almost all known renderers and plug-ins.

Selecting objects, work with materials and textures

  • Selecting the objects by their links to files
  • Displays in interactive mode a list of files linked to selected objects
  • Place Materials and BitmapTextures into the Material Editor
  • ShowHide bitmap in viewport
  • Opening the files into the external application.

Misc Features

  • Autocheck for updates
  • Displays thumbnails for Bitmaps, 3d models, Proxy, IES, Material Libraries and other file-types (include formats HDR, EXR, PSD and other)
  • Various methods of display files in list: by type of files, linked to selected objects, by status, by mask of name
  • Independent from 3dsMax caching of thumbnails
  • The “Batch Render&Relink” tool for rendering the thumbnails for 3ds Max scenes, Material Libraries and IES files
  • Collect the preview thumbnails with source files
  • Unostentatious and “Transparent” the demo-version
  • User-Friendly interface
Note: This is a beta version of the Help, but i hope you find it more useful than the previous.

The contents of FilePathFinder Pro

Getting Started
FilePathFinder Pro
Ordering & License
Contacts & Credits


Getting Started

Please read the topics bellow to quickly get started with FilePathFinder Pro.
Frequently Asked Questions

The contents of Getting Started

Install & Uninstall
System Requirements


Install & Uninstall

Installation:

  • Download* the FilePathFinder Pro.
  • Unpack archive on a hard disk
  • Run the 3ds Max.
  • Drag the .mzp file into the viewport
  • The installation automatically started.
  • Follow the instructions on screen and generate the identification file at the end.
  • In the 3ds max menu “Customize”>> “Customize User Interface”>> Category “Track” choose the plugin and draw it to the Panel of Instruments.
*For downloading the full version the buyer must be logged**.
You can download the demo without logging.
**Please use your permanent e-mail box (same as you use at purchasing).
You can always restore the password on the page Restore password.

The contents of Install & Uninstall

Installation page 1
Installation page 2
Uninstall


Installation page 1

Installation page 1

License Agreement

1. License Agreement
Open the License Agreement

I Agree

2. I Agree
Turn if you agree to the terms of the license to continue installation.

Cancel

Click for cancel installation.

Uninstall

Turn if you want uninstall previous installation.

Continue

Click for Continue


Installation page 2

Installation page 2

Check for Updates at Startup

1. Check for Updates at Startup
Check for new versions after each start the plugin.

Generate the identification file

2. Generate the identification file
Open the "Registration" dialog after complete installation.

Start installation

3. Start installation


Uninstall

  1. Start the installation and turn on the checkbox "Uninstall"
During uninstallation you can choose option for keep all your settings files.
After uninstalling your can restore all files from recycle bin.


System Requirements

System requirements:

same as for your version of the 3ds Max: http://www.autodesk.com/3dsmax-systemrequirements
Note: Please use latest updates for your version of 3ds Max
3ds Max Updates & Service Packs

Supported 3ds Max versions:

3ds Max/Design 2010 and above.

Supported renderers:

you can use this plugin with any renderer.


FilePathFinder Pro

Main menu

1. Main menu
See here.

3ds Max scenes

2. 3ds Max scenes

Main toolbar

See description here.

File panel

Details view | Thumbnails and Details view | Thumbnails view

Filter items

Filter items

5. Filter items
You can filter items in the list by
1) file status
2) selected objects
3) extension

Filter by extension

6. Filter by extension

Filter extensions by type

7. Filter extensions by type

Search&Collect

8. Search&Collect Read about this section here.

Options

Display list of the 3ds Max scenes
Display the options for "Find&Replace"
Display the options for "Search&Collect"

The contents of FilePathFinder Pro

Search&Collect
Find&Replace
Main toolbar
Main menu
Confirm Replace dialog
Context menu for 3ds Max scenes
Preferences
Support request dialog


Search&Collect

Search directories

1. Search directories
Here you can setup directories for search the maps.
You may add nearly unlimited quantity of folders for the search.
In order to add the folder type the path to the field or press the button with three dots.
In order to exclude the folder out of search turn off the checkbox.
In order to delete the folder press the “Delete” button.

Collect path

2. Collect path

Exclude from collect

3. Exclude from collect
Here you can exclude files from collecting by extension.

Relink options

4. Relink options


Find&Replace

Here you can replace part of the file path to another.

Find assets with

1. Find assets with

Ignore Case

2. Ignore Case

Copy text

3. Copy text

Replace

Apply


Main toolbar

Open with
Open the selected files in the external application.
For add new application to the list choose the item "Open with".
Click on the cross for remove application from the list .

Place materials into Material Editor

2. Place materials into Material Editor Put the materials, dependent to the selected items, into Material Editor.

Place textutreMaps into Material Editor

3. Place textutreMaps into Material Editor Put the textureMaps, dependent to the selected items, into Material Editor.

Select objects

4. Select objects Select objects, dependent to the selected items.

Set thumbnails size

5. Set thumbnails size
Set thumbnails size on the List

View
See File Panel

Refresh List

7. Refresh List


Main menu

File

Tools

Views

Customize

Configure External File Paths - open the standart 3ds Max dialog.
Preferences - open the Preferences dialog

Help
Help: open this help file.
Video Tutorials: open the web-page with video tutorials.
Hotkeys: open the window with information about hotkeys.
Activation: open the Registration dialog.
Export/Import Settings:
Create Support Request:
Check for Updates: connect to server and check available updates for plugin.
About: Open the dialog with information about plugin and credentials.


Confirm Replace dialog

Read about: Configuration for copying the files with the same name, but different in content.


Context menu for 3ds Max scenes

Context menu for 3ds Max scenes

Scene operations

1. Scene operations

XRefs

Show maps from scene

3. Show maps from scene

Navigate


  • FilePathFinder Pro
  • FilePathFinder Pro
  • Preferences
← Previous page
Next page →

Preferences

The contents of Preferences

Tab page "Asset Files"
Tab page "Miscellaneous"


Tab page "Asset Files"

Tab page "Asset Files"

Configuration for copying the files with the same name,

but different in content.

1. Configuration for copying the files with the same name, but different in content.

Keep old path (not copy-keep old link)

: do not copy the file and not to change the link

Set new path (not copy-relink to target)

: do not copy the file and set the link to existing file in the collecting folder.

Copy and rename

: copy and rename the file automatically.

Display dialog (ask the user each time)

: display a dialog with ability a choise of action.

Backup

2. Backup

Backup in Batch mode

: keep a copy of the file in the folder "Autoback\FPF_Batch_Backup"

Explore

: open the backup folder

Clear

: clear the backup folder

Clear Material Editor

3. Clear Material Editor

Miscellaneous

4. Miscellaneous

Make log:

save log file with information about all renderings and relinking files. (Path: "UserScripts\TrackScripts\Plugin\temp\log")


Tab page "Miscellaneous"

Tab page "Miscellaneous"

Miscellaneous options

1. Miscellaneous options

Check Network Paths

: check for the missing network paths in the "Configure External File Paths" dialog.
The missing network path can greatly slow down working with the scene.

Configure Paths:

open the standard 3ds Max dialog.

Reset Settings

: reset plugin settings to default.

Auto check for updates

: automatically connect to server and check available updates for plugin.

Image viewer

2. Image viewer

Clear image cache

3. Clear image cache


Support request dialog

Support request dialog
If something’s not working, please generate the bug-report, using this form.
Also you can let us know more directly from the Technical Support Forum

Description

Describe about the problem and explain step by step what you did before the error occurred.
This will help to quickly find and fix the problem.


Ordering & License

You can instantly order the fully licensed version of FilePathFinder Pro at any time over the Internet with any major credit card, bank / wire transfer, PayPal, check or cash.
After you purchased a license, you'll receive your personal registration code and the release version of FilePathFinder Pro.
Please visit http://3d-kstudio.com/product/project-manager/ for pricing information.
Here's what you can do with paid license of our product:
  • Remove watermark on the files and enable select all files in list
  • Enable high resolution rendering
  • FREE minor version upgrades.
  • FREE lifetime support. We promise prompt and courteous answers to your questions.
Once you have ordered the FilePathFinder Pro registration key please enter it into the registration dialog.

The contents of Ordering & License

Registration Dialog
Software License Agreement


Registration Dialog

After buying the FilePathFinder Pro start the 3ds Max and install the plugin.
For starting the registration choose the item "Activation" in the main 3ds Max menu "FilePathFinder Pro"
or run the FilePathFinder Pro and choose the item "Activation" in the menu "Help".

Generate new identification-file

1. Generate new identification-file
For generation the new identification file press the button "Generate ID-File".
After open the dashboard and send the identification file.
During from 2 up to 48 hour you will receive the new license.
Updating the license key:

Move License

2. Move License
In case if you update your computer, reinstall the Windows or by any other reason your license stop working you can update the license key for free.

Select the most suitable transferring type:

1) Run the “Registration” tool and click the “Move License” button.
Choose from the opened window the license used previously.
The request for the transferring will be automatically sent to the server.
Your license will be updated immediately. (Only if you are upgrading the license is rare)
2) Run the “Registration” tool and click “Generate ID-File” button.
Login and send the identification file using dashboard.
During one hour you will receive the new license.

Apply License key

3. Apply License key
After receiving the license key press this button and choose the license key.
Note:
The identification file must be generated on computer
where you plan use the plugin.
Please use your permanent e-mail box (same as you use at purchasing).
You can always restore the password on the page Restore password.


Software License Agreement

This is a Software License Agreement (hereinafter, this "LICENSE") for "FilePathFinder Pro".
This LICENSE is a legal agreement between you (either an individual or a single entity) and Alexander Kramer ("CREATOR"),
for FilePathFinder Pro product consisting of all files, demos, intermediate files, media, printed materials, and "online"
or electronic documentation (the "SOFTWARE") contained in this installation file.
BEFORE YOU CAN CONTINUE TO INSTALL THE SOFTWARE, IT IS NECESSARY FOR YOU TO AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. BY SELECTING THE "I ACCEPT" RADIO BUTTON, OR BY INSTALLING, COPYING, OR OTHERWISE USING THE SOFTWARE, YOU AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE INCLUDING THE WARRANTY DISCLAIMERS, LIMITATIONS ON LIABILITY AND TERMINATION PROVISIONS.
If you do not agree to the terms of this LICENSE please uninstall the SOFTWARE and remove all copies from the HDD.
I. OWNERSHIP; LICENSE GRANT.
This is a license agreement and NOT an agreement for sale. CREATOR continues to own the copy of the SOFTWARE and all copies thereof. Your rights to the SOFTWARE are specified in this LICENSE, and CREATOR retains all rights not expressly granted to you in this LICENSE. CREATOR hereby grants to you, and you accept, a non-exclusive, non-transferable license to use, copy and modify the SOFTWARE only as authorized below.
II. PERMITTED USES.
This LICENSE grants you the following rights:
A. The SOFTWARE is licensed per individual user. You may use a copy of the SOFTWARE on the same number of computers as the number of licenses purchased (e.g. four user licenses allows you to use the SOFTWARE on up to four computers concurrently or by four different users, eight user licenses allows you to use the SOFTWARE on up to eight computers concurrently or by eight different users). The SOFTWARE is in "use" on a computer when it is loaded into temporary memory (i.e. RAM) or installed into permanent memory (e.g. hard disk, CD-ROM, or other storage devise) of that computer.
B. You may use the SOFTWARE to create your own products, as long as, they do NOT provide the same, or substantially the same, functionality as any CREATOR product.
C. Content developed using the unlicensed version must not be used for profit activities or otherwise, except so far as this is for educational or demonstration purposes in a content developed specifically for the purpose of demonstrating the functionality of this software.
III. PROHIBITED USES.
You may not, without the prior written permission of CREATOR:
A. Disassemble, decompile or "unlock", decode or otherwise reverse translate or reverse engineer, or attempt in any manner to reconstruct or discover any source code or underlying algorithms of the SOFTWARE.
B You may use the SOFTWARE to create your own products, as long as, they do NOT provide the same, or substantially the same, functionality as any CREATOR product.
C. Transfer, rent, lease, or sublicense the SOFTWARE.
D. Separate the software programs comprising the SOFTWARE for use by more than one user at a time.
IV. REDISTRIBUTION.
A. YOU MAY NOT CREATE ANY TOOL, REDISTRIBUTABLE, OR SOFTWARE APPLICATION PRODUCT THAT DIRECTLY OR INDIRECTLY COMPETES WITH THE SOFTWARE AND WHICH UTILIZES ALL OR ANY PORTION OF THE SOFTWARE contained within this installation. You shall not develop software application products that provide an application programming interface to the SOFTWARE or SOFTWARE as modified.
B. You may NOT distribute the SOFTWARE, in any format, to other users.
C. In addition to the other requirements set forth in this Section IV, you hereby agree to indemnify, hold harmless, and defend CREATOR from and against any and all liabilities, damages, losses, costs and expenses (including reasonable attorneys' fees) arising from or related to any claim, action, proceeding or allegation that arises or results, either directly or indirectly, from the use of any of your software application product(s).
V. COPYRIGHT.
All title and copyrights in and to the SOFTWARE (including but not limited to source code, images, photographs, animation, video and text incorporated into the SOFTWARE) except DotNetZip library (see V.I this LICENSE), FreeImage (see V.II this LICENSE), ShellContextMenu (see V.III this LICENSE), AI.CONTROL.DLL (see V.IV this LICENSE), Windows API Code Pack(see V.V this LICENSE) and are owned by CREATOR. The SOFTWARE is protected by copyright laws and international treaty provisions. All rights are reserved worldwide. You must treat the SOFTWARE like any other copyrighted material, except that you may, in addition to the copies permitted in this LICENSE, make one copy of the SOFTWARE solely for backup or archival purposes. No part of the SOFTWARE may be reproduced, transmitted, transcribed, stored in any retrieval system, or translated into any language by any means without the express prior written permission of CREATOR.
V.I LICENSE FOR DotNetZip library.
DotNetZip library is used under the
Microsoft Public License (Ms-PL).
Link to Microsoft Public License (Ms-PL): https://msdn.microsoft.com/en-us/library/ff649456.aspx
https://dotnetzip.codeplex.com
V.II LICENSE FOR FREEIMAGE.
This SOFTWARE uses the FreeImage open source image library .
FreeImage is used under the
FreeImage Public License (FIPL)
Link to FreeImage Public License (FIPL): http://freeimage.sourceforge.net/freeimage-license.txt
http://freeimage.sourceforge.net
V.III LICENSE FOR SHELLCONTEXTMENU.DLL.
This SOFTWARE is based in part on the open source code of the Andrew Vos with the kind permission of the author.
www.andrewvos.com/2009/01/06/shellcontextmenu2
Copyright © 2009 Andrew Vos
V.IV LICENSE FOR AI.CONTROL.DLL.
This SOFTWARE is based in part on the open source code of the red_moon is licensed under
Code Project Open License (CPOL)
Link to Code Project Open License (CPOL): http://www.codeproject.com/info/cpol10.aspx
http://www.codeproject.com/Articles/98967/A-ToolTip-with-Title-Multiline-Contents-and-Image
Copyright © 2010 red_moon
V.V LICENSE FOR WINDOWS API CODE PACK.
Windows API Code Pack is used under the
Microsoft Public License (Ms-PL).
Link to Microsoft Public License (Ms-PL): https://msdn.microsoft.com/en-us/library/ff649456.aspx
VI. TERMINATION.
This LICENSE and your right to use the SOFTWARE will terminate immediately without notice from CREATOR if you fail to comply with the terms and conditions of this LICENSE. Upon termination, you agree to destroy the SOFTWARE, including all accompanying documents and copies. This is in addition to and not in lieu of any criminal, civil or other remedies available to CREATOR.
VII. DISCLAIMER OF WARRANTY.
CREATOR expressly disclaims any warranty for the SOFTWARE. THE SOFTWARE AND ANY RELATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NONINFRINGEMENT. CREATOR DOES NOT WARRANT, GUARANTEE, OR MAKE ANY REPRESENTATIONS REGARDING THE USE, OR THE RESULTS OF THE USE, OF THE SOFTWARE IN TERMS OF CORRECTNESS, ACCURACY, RELIABILITY, OR OTHERWISE. THE ENTIRE RISK ARISING OUT OF USE OR PERFORMANCE OF THE SOFTWARE REMAINS WITH YOU. No oral or written information or advice given by CREATOR or its employees shall create a warranty or in any way increase the scope of this warranty.
VIII. LIMITATION OF LIABILITIES.
CREATOR' liability, whether in contract, tort, or otherwise, arising out of Licensee's use of, or in connection with, the SOFTWARE, or otherwise under this Agreement, shall not exceed the amount of the license fee paid by you to CREATOR. IN NO EVENT SHALL CREATOR OR ITS SUPPLIERS BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT, OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE, EVEN IF CREATOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
IX. MISCELLANEOUS.
In the event of invalidity of any provision of this LICENSE, the parties agree that such invalidity shall not affect the validity of the remaining portions. You agree that you will not export or re-export the Software without the appropriate government licenses. This is the entire agreement between you and CREATOR which supersedes any prior agreement, whether written or oral, relating to this subject matter. CREATOR reserves all rights not specifically granted in this EULA.
Information contained in this agreement is subject to change without notice.
X. ACKNOWLEDGEMENTS.
You acknowledge that you have read this LICENSE, understand it, and agree to be bound by its terms and conditions.
XI. EMAIL:
Feel free to email any questions regarding this license or any other questions about the Software to support@3d-kstudio.com
Correspondence can be in English, Ukrainian or Russian.


Contacts & Credits

Product website:
http://3d-kstudio.com/product/filepathfinder-pro/
Support e-mail:
support@3d-kstudio.com
Sales e-mail:
sales@3d-kstudio.com
Created by:
Alexander Kramer
Credits:
FreeImage
The software contains the FreeImage library, available at http://freeimage.sourceforge.net , and licensed under the FreeImage Public License (FIPL) .
Ai.Control
The software contains the Ai.Control library, available at codeproject.com , and licensed under the Code Project Open License (CPOL) .
ShellContextMenu
The software contains the ShellContextMenu library, available at andrewvos.com , and used with the kind permission of the author.
DotNetZip
The software contains the DotNetZip library, available at https://dotnetzip.codeplex.com , and licensed under the Microsoft Public License (Ms-PL) .
Windows API Code Pack
The software contains the Windows API Code Pack library, licensed under the Microsoft Public License (Ms-PL) .